<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoAnexo;

class ApontamentoVeiculoGastoAnexoObserver
{
   public function creating(ApontamentoVeiculoGastoAnexo $apontamento_veiculo_gasto_anexo)
   {
      $apontamento_veiculo_gasto_anexo->avga_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto_anexo->avga_date_insert = Carbon::now();
   }

   public function updating(ApontamentoVeiculoGastoAnexo $apontamento_veiculo_gasto_anexo)
   {
      $apontamento_veiculo_gasto_anexo->avga_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $apontamento_veiculo_gasto_anexo->avga_date_update = Carbon::now();
   }
}