<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\AgendamentoVeiculoUsoPresenter;
use Schaffen\Gef\Repositories\AgendamentoVeiculoUsoRepository;
use Schaffen\Gef\Models\AgendamentoVeiculoUso;
use Schaffen\Gef\Validators\AgendamentoVeiculoUsoValidator;

/**
 * Class AgendamentoVeiculoUsoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class AgendamentoVeiculoUsoRepositoryEloquent extends BaseRepository implements AgendamentoVeiculoUsoRepository
{

   protected $fieldSearchable = [

      'agu_fk_vei_codigo',
      'agu_fk_motorista_pes_codigo'

   ];
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return AgendamentoVeiculoUso::class;
    }


   public function presenter()
   {
      return AgendamentoVeiculoUsoPresenter::class;
   }

    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }


    
}
